/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#define BASIC_W 				480
#define BASIC_H 				800

#define MAIN_W					720
#define MAIN_H					1280

#define MF_SCALE_W			(MAIN_W/BASIC_W)
#define MF_SCALE_H			(MAIN_H/BASIC_H)

#define FONT_NANE			"Tizen:style=Medium"
#define FONT_LIST_ITEM			"Tizen:style=Roman"

#define FONT_SIZE			22
#define FONT_COLOR			255 255 255 255

#define MAIN_FONT_STYLE			"Tizen"
#define MAIN_FONT_SIZE		32
#define MAIN_FONT_COLOR	255 255 255 255

#define SUB_FONT			"Tizen"
#define SUB_FONT_SIZE		18
#define SUB_FONT_COLOR		149 149 149


#define DIR_CLASS_NAME		"myfile_dir"
#define DIR_SIZE				42


#define THUMBNAIL_W			50*MF_SCALE_W
#define THUMBNAIL_H			50*MF_SCALE_H

#define MEMORY_SUB_THUMB_W		40*MF_SCALE_W
#define MEMORY_SUB_THUMB_H		25*MF_SCALE_H


#define GENLIST_ITEM_H		71*MF_SCALE_H
#define PATH_INFO_H		48
#define PATH_INFO_LABEL_H		25
#define PATH_INFO_BG_COLOR		68 68 68 255

#define BOTTOM_LINE_COLOR		199 199 199 255

#define BTN_W				60
#define BTN_H				61
#define INDICATOR_H			46
#define SOFTKEY_H			96
#define BUTTON_W			80
#define CHECK_R				50
#define SUB_W				104
#define SUB_H				32

#define SEARCHBAR_BACKGROUND_COLOR_DEFAULT	36 36 36 255


#define EDITFIELD_CANCEL_BUTTON_WITH_PADDING_W_INC 150
#define EDITFIELD_TOP_PADDING_INC 18
#define EDITFIELD_BOTTOM_PADDING_INC 18
#define EDITFIELD_HEIGHT_INC 74
#define EDITFIELD_LEFT_PADDING_INC 30
#define EDITFIELD_RIGHT_PADDING_INC 5

#define SEARCHBAR_HEIGHT_INC 74
#define SEARCHBAR_INPUTFIELD_BORDER_INC 6 6 6 6
#define SEARCHBAR_LEFT_ICON_PADDING_INC 16
#define SEARCHBAR_ICON_MIN_W_INC 42
#define SEARCHBAR_ICON_MIN_H_INC 42
#define SEARCHBAR_LEFT_PADDING_SEARCHFIELD_INC 16
#define SEARCHBAR_RIGHT_PADDING_SEARCHFIELD_INC 8
#define SEARCHBAR_SEARCH_TEXTFIELD_H_INC 60
#define SEARCHBAR_H_INC 107
#define EDITFIELD_SEARCHBAR_TOP1_SINGLE_INC 6
#define EDITFIELD_SEARCHBAR_TOP1_MULTI_INC 10
#define EDITFIELD_SEARCHBAR_TOP2_INC 10
#define EDITFIELD_SEARCHBAR_LEFT1_INC 0
#define EDITFIELD_SEARCHBAR_LEFT2_INC 0
#define EDITFIELD_SEARCHBAR_LEFT3_INC 1
#define EDITFIELD_SEARCHBAR_RIGHT1_ERASER_SHOW_INC 56
#define EDITFIELD_SEARCHBAR_RIGHT2_INC 5
#define EDITFIELD_SEARCHBAR_BOTTOM1_SINGLE_INC 8
#define EDITFIELD_SEARCHBAR_BOTTOM1_MULTI_INC 2
#define EDITFIELD_SEARCHBAR_BOTTOM2_SINGLE_INC 16
#define EDITFIELD_SEARCHBAR_BOTTOM2_MULTI_INC 2
#define EDITFIELD_SEARCHBAR_BOTTOM3_SINGLE_INC 50
#define EDITFIELD_SEARCHBAR_BOTTOM3_MULTI_INC 50


#define MF_SEARCH_FOLDER_H			300*MF_SCALE_H
#define MF_SEARCH_FOLDER_W			400*MF_SCALE_H

