/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#ifndef __DEF_MYFILE_LAUNCH_H_
#define __DEF_MYFILE_LAUNCH_H_

#include <ui-gadget.h>


typedef enum _LOAD_UG_TYPE MF_LOAD_UG_TYPE;

enum _LOAD_UG_TYPE {
	MF_LOAD_UG_MESSAGE,
	MF_LOAD_UG_EMAIL,
	MF_LOAD_UG_BLUETOOTH,
	MF_LOAD_UG_DETAIL,
	MF_LOAD_UG_MAX
};

ui_gadget_h mf_launch_load_ug(void *data, char *path, MF_LOAD_UG_TYPE type, char *file_count);
ui_gadget_h mf_launch_load_ug_myfile(void *data);

int mf_launch_service(void *data, char *path);
Eina_Bool mf_launch_myfile_ug_exist(void *data);
void mf_launch_sns_load(void *data, char *path, MF_LOAD_UG_TYPE type, char *file_count);

#endif

