/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#ifndef __MF_SPLIT_VIEW_H_
#define __MF_SPLIT_VIEW_H_
bool mf_split_view_refresh(void *data);
void mf_split_view_left_genlist_refresh(void *data);
void mf_split_view_show(void *data);
void mf_split_view_hide(void *data);
void mf_split_view_destory(void *data);
void mf_split_view_init(void *data);
void mf_split_view_path_info_update(Evas_Object *label, const char *fullpath, Eina_Bool root);
void mf_split_view_unset_right_content(void *data);
void mf_split_view_genlist_append(void *data, Evas_Object *pGenlist, GString *fullpath, Elm_Object_Item *parent_item);

#endif

