#sbs-git:slp/pkgs/m/myfiles myfiles 0.1.6 2caccae458123f3effccfcf34469f363593d375e
Name:       org.tizen.myfile
Summary:    Myfile Application v1.0
Version:    0.2.02
Release:    1
Group:      TO_BE/FILLED_IN
License:    TO_BE/FILLED_IN
Source0:    %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(capi-appfw-application)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(drm-client)
BuildRequires:  pkgconfig(ui-gadget-1)
BuildRequires:  pkgconfig(libmedia-service)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(ecore-imf)
BuildRequires:  pkgconfig(ecore-x)
BuildRequires:  pkgconfig(eina)
BuildRequires:  pkgconfig(evas)
BuildRequires:  pkgconfig(edje)
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(ecore-file)
BuildRequires:  pkgconfig(ecore-input)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-io)
BuildRequires:  pkgconfig(icu-le)
BuildRequires:  pkgconfig(icu-lx)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(capi-system-power)
BuildRequires:  pkgconfig(capi-system-runtime-info)
BuildRequires:  pkgconfig(capi-content-media-content)
BuildRequires:  pkgconfig(capi-network-nfc)
BuildRequires:  pkgconfig(capi-system-sensor)
BuildRequires:  pkgconfig(syspopup-caller)
BuildRequires:  pkgconfig(status)

BuildRequires:  cmake
BuildRequires:  edje-bin
BuildRequires:  embryo-bin
BuildRequires:  gettext-devel

%description
Myfile Application v1.0.

%prep
%setup -q

%define PREFIX    "/usr/apps/org.tizen.myfile"
%define RESDIR    "/usr/apps/org.tizen.myfile/res"
%define DATADIR    "/opt/usr/apps/org.tizen.myfile/data"

%build
cmake . -DCMAKE_INSTALL_PREFIX="%{PREFIX}" -DCMAKE_DESKTOP_ICON_DIR="/usr/share/icons/default/small" -DCMAKE_DESKTOP_DIR="/usr/share/applications" -DCMAKE_INSTALL_PKG_NAME="%{name}" -DCMAKE_INSTALL_DATA_DIR="%{DATADIR}"
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install




%post
chown -R 5000:5000 /opt/usr/apps/org.tizen.myfile/data

/usr/bin/vconftool set -t int db/private/org.tizen.myfile/list_by 7 -i -g 5000
/usr/bin/vconftool set -t int db/private/org.tizen.myfile/view_style 0 -i -g 5000
/usr/bin/vconftool set -t int db/private/org.tizen.myfile/extension_state 1 -i -g 5000
/usr/bin/vconftool set -t string db/private/org.tizen.myfile/recent_file "" -s -g 5000

%files
%manifest org.tizen.myfile.manifest
%defattr(-,root,root,-)
/usr/apps/org.tizen.myfile/bin/myfile
/usr/apps/org.tizen.myfile/res/locale/*
/usr/apps/org.tizen.myfile/res/images/*
/usr/apps/org.tizen.myfile/res/edje/*
/opt/usr/apps/org.tizen.myfile/data
/usr/share/packages/*
/usr/share/icons/default/small/org.tizen.myfile.png
