/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __MF_DRM_H__
#define __MF_DRM_H__

typedef enum __drm_file_mime_type_e drm_file_mime_type_e;
enum __drm_file_mime_type_e {
	MYFILE_DRM_UNKNOW_FILE = 0,
	MYFILE_DRM_IMAGE_FILE,
	MYFILE_DRM_RINGTONE_FILE,
	MYFILE_DRM_VIDEO_FILE,
	MYFILE_DRM_FILE_MAX
} ;

int mf_drm_is_converted_fl(char *path);
int mf_drm_is_drm_file(const char *file_fullpath);
drm_file_mime_type_e mf_drm_check_drm_mime_type(char *mime_type);

#endif
