/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




#ifndef __DEF_MYFILE_GADGET_H
#define __DEF_MYFILE_GADGET_H
#include <glib.h>

void create_ug_image(void *data, char *path);
void create_ug_java(void *data, char *path);
int create_ug_email(void *data, char *path);
int create_ug_message(void *data, char *path);
int create_ug_detail(void *data, char *path);
int create_ug_password(void *data);

void ug_closed_cb(ui_gadget_h ug, void *priv);

#endif
