/*
 * Copyright 2013         Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#ifndef __DEF_MYFILE_GENGRID_H
#define __DEF_MYFILE_GENGRID_H

#define MF_LANDSCAPE_GENGRID_ITEM_WIDTH		118
#define MF_LANDSCAPE_GENGRID_ITEM_HEIGTH	161

#define MF_SCALE_FACTORY			elm_config_scale_get()
#define MF_ICON_SIZE				(165*MF_SCALE_FACTORY)


#define MF_WVGA_GENGRID_ITEM_WIDTH		(184*MF_SCALE_FACTORY)

#define MF_WVGA_GENGRID_ITEM_HEIGTH		(240*MF_SCALE_FACTORY)


#define MF_HD_GENGRID_ITEM_WIDTH		(int)((8*MF_SCALE_FACTORY)+(164*MF_SCALE_FACTORY)+(8*MF_SCALE_FACTORY))

#define MF_HD_GENGRID_ITEM_HEIGTH		(int)((18*MF_SCALE_FACTORY)+(164*MF_SCALE_FACTORY)+(72*MF_SCALE_FACTORY))

void mf_gengrid_create_grid_items(void *data, Evas_Object *grid, Eina_List *file_list);

Evas_Object *mf_gengrid_create_grid (Evas_Object *parent);

void mf_gengrid_refresh(void *data);
void mf_gengrid_get_grid_selected_files(Evas_Object *gengrid, Eina_List **list);
void mf_gengrid_edit_select(void *data, int *count);
void mf_gengrid_select_all(void *data);
Evas_Object *mf_gengrid_create_list(void *data, Evas_Object *parent);
void mf_gengrid_item_select(void *data, Evas_Object *pGengrid, int *file_count, int *dir_count);
void mf_gengrid_create_list_default_style(Evas_Object *pGengrid, void *data, Eina_List *dir_list,
				Eina_List *file_list);
void mf_gengrid_get_grid_selected_items(Evas_Object *gengrid, Eina_List **list);
#endif

